stages:
    - build
    - provision
    - deploy

variables:
  # Registry Global Vars
  REGISTRY_VERSION: 2.8.1
  REGISTRY_IMAGE_NAME: "$CI_REGISTRY_IMAGE"
  REGISTRY_BUILD_VERSION: "$CI_COMMIT_BRANCH"
  # Redis Global Vars
  REDIS_VERSION: 6.2.6-bullseye
  REDIS_IMAGE_NAME: "$CI_REGISTRY_IMAGE/redis"
  REDIS_BUILD_VERSION: "$CI_COMMIT_BRANCH"

.ansible:
  before_script:
    - 'command -v ssh-agent >/dev/null'
    - 'mkdir -p ~/.ssh || true'
    - 'chmod 700 ~/.ssh || true'
    - eval $(ssh-agent -s)
    - echo "$ANSIBLE_SSH_KEY" | tr -d '\r' | tee ~/.ssh/ansible_ecdsa
    - echo "$ANSIBLE_SSH_CERT" | tr -d '\r' | tee ~/.ssh/ansible_ecdsa-cert.pub
    - echo "$ANSIBLE_SSH_PUB" | tr -d '\r' | tee ~/.ssh/ansible_ecdsa.pub
    - echo "$ANSIBLE_KNOWN_HOSTS" | tr -d '\r' | tee ~/.ssh/known_hosts
    - 'chmod 0600 ~/.ssh/ansible_ecdsa'
    - ssh-add ~/.ssh/ansible_ecdsa
    - "chmod 0700 playbooks/"

include:
  - gitlab-ci/build.yml
  - gitlab-ci/provision.yml
  - gitlab-ci/deploy.yml
